org.gradle.api.artifacts

## Interface ConfigurationVariant

- All Superinterfaces:
    HasAttributes, HasConfigurableAttributes<ConfigurationVariant>, Named

      @Incubating
      public interface ConfigurationVariant
      extends Named, HasConfigurableAttributes<ConfigurationVariant>

  Represents some variant of an outgoing configuration.
  Since:
    3.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `artifact(Object notation)` Adds an artifact to this variant.
    `void` | `artifact(Object notation, Action<? super ConfigurablePublishArtifact> configureAction)` Adds an artifact to this variant, configuring it using the given action.
    `PublishArtifactSet` | `getArtifacts()` Returns the artifacts associated with this variant.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.api.attributes.HasConfigurableAttributes

      `attributes`

    - ### Methods inherited from interface org.gradle.api.attributes.HasAttributes

      `getAttributes`

- - ### Method Detail

    - #### getArtifacts

          PublishArtifactSet getArtifacts()

      Returns the artifacts associated with this variant.

    - #### artifact

          void artifact(Object notation)

      Adds an artifact to this variant.

    - #### artifact

          void artifact(Object notation,
                      Action<? super ConfigurablePublishArtifact> configureAction)

      Adds an artifact to this variant, configuring it using the given action.